# std::atomic< long long > Struct Template Reference
[Atomics]

Explicit specialization for long long. More...

Inherits __atomic_llong_base.

List of all members.

## Public Types

- typedef atomic_llong __base_type
- typedef long long __integral_type

## Public Member Functions

- atomic (__integral_type __i)
- atomic (const atomic &)
- atomic & operator= (const atomic &) volatile

## Public Attributes

- long long _M_i

## Detailed Description

### template<>
struct std::atomic< long long >

Explicit specialization for long long.

Definition at line 405 of file atomic.

The documentation for this struct was generated from the following file:

- atomic